### Method

# Gtk CellAreaContextget_area

deprecated: 4.10

#### Declaration [src]

    GtkCellArea*
    gtk_cell_area_context_get_area (
      GtkCellAreaContext* context
    )

#### Description [src]

Fetches the `GtkCellArea` this `context` was created by.

This is generally unneeded by layouting widgets; however, it is important for the context implementation itself to fetch information about the area it is being used for.

For instance at `GtkCellAreaContextClass.allocate()` time it’s important to know details about any cell spacing that the `GtkCellArea` is configured with in order to compute a proper allocation.

Deprecated since: 4.10

This object will be removed in GTK 5

Gets property | `Gtk.CellAreaContext:area`

#### Return value

Type: `GtkCellArea`

The `GtkCellArea` this context was created by.

The data is owned by the instance.